%    modelit.mapviewer.RDTileSource constructor.   
%   
%    CALL:   
%      obj = RDTileSource(tileType)   
%   
%    INPUT:   
%     tileType: <string>   
%       The image type of the tiles.   
%   
%    OUTPUT:   
%     obj: <modelit.mapviewer.RDTileSource>   
%   
%   
%  modelit.mapviewer.RDTileSource Properties:   
%    isWGS           - Return true if WGS coordinate.   
%    numberOfThreads - Number of threads that can be used to download the tiles.   
%    minZoomLevel    - Minimum (lowest detail) zoomlevel.   
%    maxZoomLevel    - Maximum (greatest detail) zoomlevel.   
%    baseUrl         - The tile url without parameters.   
%    tileUrl         - The part of the url that defines which tile to retrieve.   
%    name            - The name of the tilesource.   
%    tileType        - The image type of the tiles.   
%   
%  modelit.mapviewer.RDTileSource Methods:   
%    YToLat          - Transforms pixel coordinate Y to latitude   
%    LatToY          - Transforms latitude to pixelspace.   
%    XToLon          - Transforms pixel coordinate X to RD.   
%    localToPixel    - Transform local coordinates to pixel coordinates.   
%    pixelToLocal    - pixel coordinates to local coordinates (RD), all in 1   
%    LonToX          - Transform longitude to pixelspace.   
%    pixel2Zoomlevel - Determine zoomlevel from x coordinate.   
%    getMaxPixels    - Get the maximum number of pixels in y or x for a zoomlevel.   
%    getTileSize     - Default tilesize for OSM tiles   
%    getName         - Get name that uniquely identifies this tilesource.   
%    RDTileSource    - modelit.mapviewer.RDTileSource constructor.   
%    WGSToLocal      - (Static) Transforms WGS coordinates to local (=RD)   
%    localToWGS      - (Static) Transforms local coordinates (=RD) to WGS   
%    getTileUrl      - Get url to retrieve a specific tile at a given (x,y) index   
%    getBaseUrl      - Get the base url for this TileSource, use this with getTileUrl.   
%    getTileType     - Get the image type of the tiles.   
%    getMinZoomLevel - The minimum zoom value. This value is usually 0.   
%    getMaxZoomLevel - The maximum zoom value.   
%   
%  NOTE:   
%    Help automatically generated by classHelp (22-Nov-2021 13:42:25)   
   
   
% © Modelit 2006-2023   
% Matlab release: 2023a   
% Date: 2023/03/24 15:18:56   
