disp('Startup script for Modelit Mapviewer')
disp('Run WMTS_example.m to verify installation')

% This startup.m file works if "thisfolder" equal to the extraction
% location of the MEWT source files. 
% To integrate with an existing statup.m file, copy/paste next lines in
% your existing statup.m file 

%Set Matlab search path, this will also make sure html help is found with
%Matlab "doc" command.
thisfolder=pwd;  %note: edit this line if required

%Verify requires source folders are available
this_subfolders=fullfile(thisfolder,["utils","examples","+modelit"]);
for k=1:length(this_subfolders)
    if ~isfolder(this_subfolders(k))
        warning('Mapviewer requires files in folder %s.',this_subfolders(k))
    end
end

addpath(fullfile(thisfolder, 'utils'));
addpath(fullfile(thisfolder, 'examples'));
addpath(fullfile(thisfolder));

% if thisfolder equals pwd than javaclasspath.txt as provided with
% Mapviewer will set the static java classpath correctly. Otherwise
% implement your own method to set this path in a similar way, use "doc
% javaclasspath" for further information.

jarfiles=["MatlabHTTPclient.jar","MatlabServer.jar","modelit.jar"];
jpath=javaclasspath('-static');
for jarfile=jarfiles 
    %find subset that ends with "jarfile". 
    jpath_items=jpath(endsWith(jpath,jarfile));
    %At least 1 line must be found
    if ~any(isfile(jpath_items))
        warning('%s not found on static java class path. Update the file javaclasspath.txt and restart MATLAB.',jarfile)
    end
end


