%  date_ax - supply a number of axes with date ticks   
%   
%  CALL:   
%   date_ax(xa, ya, postprocess)   
%   
%  INPUT:   
%   xa: x axes handles   
%   ya: y axes handles   
%   postproces: optional boolean, default true.   
%               If true update add day, month and year to first tick and   
%               to ticks where day month and year change.   
%   locale:   
%       string with language, e.g. it, es, nl, en, de, fr or zh   
%   
%  OUTPUT:   
%   none   
%   
%  EXAMPLE:   
%      plot ....   
%      %install zoom with date_ax   
%      hax=gca;   
%      opt.move=@(o,e)date_ax(hax);   
%      zoomtool(1,opt);   
%      date_ax(hax);   
%   
%  APPROACH:   
%  It is assumed that data are specified in datenum format   
%   
%  See also: zoomtool   
   
   
% © Modelit 2006-2023   
% Matlab release: 2023a   
% Date: 2023/03/24 15:18:56   
