%  is_eq - verify if argument pairs are equal.   
%   
%  CALL:   
%      equal = is_eq(arg1,arg2,arg3,arg4,...)   
%   
%  INPUT:   
%      varargin: <any>   
%         arg1,arg2 first argument pair   
%         arg3,arg4 second argument pair   
%         ...       etc   
%   
%  OUTPUT:   
%      equal: <boolean>   
%        true if all argument pairs have corresponding size and are equal   
%   
%  NOTE:   
%      function is verbose if no output arguments are required   
%   
%  EXAMPLE:   
%   (non verbose mode)   
%  		>> a=is_eq(1,0)   
%  		a =   
%               0   
%  EXAMPLE:   
%   (verbose mode)   
%  		>> is_eq(1,0)   
%  		Arg 1,2: Not equal, Max Abs Diff = 1.000000   
   
   
% © Modelit 2006-2023   
% Matlab release: 2023a   
% Date: 2023/03/24 15:18:56   
