%  putfile - Return file with specific extension from default directory   
%   
%  CALL:   
%     [fname,pname,full_fname]=putfile(ext,FigureName,ISBATCHMODE,fname,tag)   
%   
%  INPUT:   
%      ext:   
%          extension of file to be selected (defaults to'.m').   
%          Option 1:   
%              ext is char string. ext may be specified with or without   
%              preceeding ".".   
%          Option 2:   
%              ext is a Nx2 or Nx1 cell array. Cells in column 1 contain   
%              file masks, like "*.txt". Cells in column 2 contain   
%              corresponding labels that will be shown to the user. If   
%              column 2 is not specifield the labels will be shown as   
%              "(*.txt)"   
%      FigureName:   
%          Name property for figure. Defaults to ''.   
%      ISBATCHMODE:   
%          (1x1 logical) Defaults to false. If true: suppress any   
%          interaction   
%      fname:   
%          1xP char array. Default filename for dialogue. Defaults to   
%          '*.ext'   
%          Note: if fname contains an extension that is not in the list of   
%          allowable extensions, the xtendion will be included th in de   
%          default failename. For example if fname ="example.dia" en   
%          filemask is "*.txt", accepting the default results in   
%          "example.dia.txt"   
%      tag:   
%          Integer or string. Tag to be used in defaultpathNew. Defaults to   
%          1. When the user selects a file, the path will be remembered and   
%          presented the next time putfile is called with the same tag.   
%   
%  OUTPUT:   
%     fname:   
%          Selected file, 0 if cancelled   
%     pname:   
%          Path of selected file.   
%     full_fname:   
%          Filename including path   
%   
% USER INPUT   
%         gebruiker selecteert filenaam   
%   
%  EXAMPLE (1)   
%      [~,~,fname]=putfile('txt','Save ASCII file',0,'MyFile','AsciiDump');   
%      if ~fname   
%          return   
%      end   
%      ..   
%  See also: UIPUTFILE   xlswritedialog   
   
   
% © Modelit 2006-2023   
% Matlab release: 2023a   
% Date: 2023/03/24 15:18:56   
